Bug 112594 - Mongolian letters failed to join with NNBSP sometimes
Summary: Mongolian letters failed to join with NNBSP sometimes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Formatting-Mark
  Show dependency treegraph
 
Reported: 2017-09-23 17:47 UTC by Volga
Modified: 2018-12-24 03:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test file (24.26 KB, application/vnd.oasis.opendocument.text)
2017-09-23 17:47 UTC, Volga
Details
Rendering on LibreOffice (185.72 KB, image/png)
2017-09-23 17:48 UTC, Volga
Details
Original text rendering on Firefox (306.20 KB, image/png)
2017-09-23 17:51 UTC, Volga
Details
Original text rendering on Chrome (293.46 KB, image/png)
2017-09-23 17:59 UTC, Volga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2017-09-23 17:47:02 UTC
Description:
Mongolian letters sometimes does not join with NNBSP, especially when this space is not following Mongolian letters.

Steps to Reproduce:
1. Open Writer
2. Insert -> Frame -> Frame Interactively
3. Set text direction as Left-to-Right (vertical)
4. Copy the text from https://incubator.wikimedia.org/wiki/Wp/mvf/%E1%A0%AD%E1%A0%A6%E1%A0%B6%E1%A0%A6%E1%A0%AD_%E1%A0%AC%E1%A0%A0%E1%A0%AD%E1%A0%A0%E1%A0%A8_%E1%A0%A4_%E1%A0%AA%E1%A0%A2%E1%A0%B4%E1%A0%A2%E1%A0%AD%E1%A0%8C
5. Select all texts, set western font as Liberation Serif, set complex font as Mongolian Baiti.
6. Copy & paste the frame
7. Select all texts at the next frame, set font as Mongolian Baiti.

Actual Results:  
Mongolian letters failed to join with NNBSP if NNBSP followed by digits. See my screenshot.

Expected Results:
Mongolian letters should always join with NNBSP.


Reproducible: Always

User Profile Reset: No

Additional Info:
版本:5.4.2.1 (x64)
Build ID:dfa67a98bede79c671438308dc9036d50465d2cb
CPU 线程:4; 操作系统:Windows 6.19; UI 渲染:默认; 
区域语言:zh-CN (zh_CN); Calc: group


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:55.0) Gecko/20100101 Firefox/55.0
Comment 1 Volga 2017-09-23 17:47:42 UTC
Created attachment 136491 [details]
Test file
Comment 2 Volga 2017-09-23 17:48:39 UTC
Created attachment 136492 [details]
Rendering on LibreOffice
Comment 3 Volga 2017-09-23 17:51:09 UTC
Created attachment 136493 [details]
Original text rendering on Firefox
Comment 4 Volga 2017-09-23 17:59:52 UTC
Created attachment 136494 [details]
Original text rendering on Chrome
Comment 5 Buovjaga 2017-10-28 15:59:01 UTC
So the problem is before the string [ 1246 ?
Comment 6 Volga 2017-10-31 03:17:52 UTC
(In reply to Buovjaga from comment #5)
> So the problem is before the string [ 1246 ?

No, it’s after the string 1246.
Comment 7 Buovjaga 2017-10-31 18:46:05 UTC
Ok, confirmed.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha1+
Build ID: 7a2e7c32d38db02aaa5d78d5e8aaf86cabfde586
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on October 28th 2017
Comment 8 Volga 2017-12-01 11:02:54 UTC Comment hidden (no-value)
Comment 9 Volga 2017-12-01 14:11:41 UTC
Is there anyway to make NNBSP works the same as ZWJ?
Comment 10 Volga 2017-12-23 16:51:23 UTC
Still reproduce in 

Version: 6.0.0.1 (x64)
Build ID:d2bec56d7865f05a1003dc88449f2b0fdd85309a
CPU 线程:4; 操作系统:Windows 10.0; UI 渲染:默认; 
区域语言:zh-CN (zh_CN); Calc: group

As a workaround, inserting ZWJ between space and Mongolian letter would works. This can be done in the following steps:
1. Type “200D” between them
2. Select the code
3. Press Alt + X

This method could making Mongolian suffixes works as expected in this case, but couls making them breakable, further more, so many Mongolian fonts having contextual forms after NNBSP, so there is necessary to improve LibO to make Hudum Mongolian text well performanced.
Comment 11 QA Administrators 2018-12-24 03:44:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug